Package com.complexible.stardog.api.admin.pack

# Enum Class ClusterNodeRole

java.lang.Object
java.lang.Enum<ClusterNodeRole>
com.complexible.stardog.api.admin.pack.ClusterNodeRole

All Implemented Interfaces:
  `Serializable`, `Comparable<ClusterNodeRole>`, `Constable`

public enum ClusterNodeRole extends Enum<ClusterNodeRole>

Represents the role of a cluster node.

Since:
  7.4.2
Version:
  8.0
Author:
  Robert Myers, Paul Place

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COORDINATOR`
  A cluster coordinator.
  `PARTICIPANT`
  A regular cluster node.
  `READ_REPLICA`
  A read replica cluster node.
  `STANDBY`
  A Standby cluster node.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ClusterNodeRole`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ClusterNodeRole[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COORDINATOR

    public static final ClusterNodeRole COORDINATOR
    A cluster coordinator.

  - ### PARTICIPANT

    public static final ClusterNodeRole PARTICIPANT
    A regular cluster node.

  - ### STANDBY

    public static final ClusterNodeRole STANDBY
    A Standby cluster node.

  - ### READ_REPLICA

    public static final ClusterNodeRole READ_REPLICA
    A read replica cluster node.

- ## Method Details

  - ### values

    public static ClusterNodeRole[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ClusterNodeRole valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null